Part Wedge/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(2 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu}} <!-- missing docnav -->


{{Docnav
{{Docnav
Line 22: Line 21:
==Description==
==Description==


<div class="mw-translate-fuzzy">
Creați un obiect parametric Pană/Wedge. Valoarea implicită pentru această reținere este o bază pătratică mai mare și un vârf pătrat mai mic.
Creați un obiect parametric Pană/Wedge. Valoarea implicită pentru această reținere este o bază pătratică mai mare și un vârf pătrat mai mic.
</div>

[[Image:Part_Wedge_Example.png|400px]]


==Usage==
==Usage==


See [[Part_Primitives#Usage|Part Primitives]].
=== Dimensiuni și Plasamente implicite ===


== Example ==
'''Plasament:'''
Orientarea implicită plasează baza în planul XZ, iar partea superioară în direcția axei Y. Colțul de bază implicit este originea 0,0,0.


[[Image:Part_Wedge_Scripting_Example.png|thumb|Part Wedge from the scripting example]]
'''Fațeta de bază:'''
*X : 10 mm
*Z : 10 mm


A Part Wedge object created with the [[#Scripting|scripting example]] below is shown here.
'''Înălțimea:'''
*Y : 0-10 mm


== Notes ==
'''Fațeta Superioară:'''
*X : 2-8 mm
*Z : 2-8 mm


* The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.


== Properties ==
[[File:PartWedgeProperty.png|left]]
{{clear}}


See also: [[Property_editor|Property editor]].
=== Intrări Parametrice ===
{|
| [[File:PartWedgeProperty_Inputs.png]]
|
Utilizând destinația de plasare prestabilită, intrările de mai jos sunt:
*{{PropertyData|X min/max}} : Base face X axis span
*{{PropertyData|Y min/max}}: Wedge height span
*{{PropertyData|Z min/max}} : Base face Z axis span
*{{PropertyData|X2 min/max}} : Top face X axis span
*{{PropertyData|Z2 min/max}} : Top face Z axis span
====Poziția====
Extindeți elementul Poziție pentru a stabili:
* punctul de poziționare în vizualizarea 3D, în mod implicit, colțul din stânga jos al bazei este poziționat în punctul 0,0,0
* direcția axei wedge, x, y, z sau definite de utilizator.
Parametrii și poziționarea pot fi modificate prin fila/tab-ul Proprietăți.
|}
===Proprietăți===
{|
| [[File:PartWedgeProperty_it.png]]
|
==== Vizualizări ====
Sunt disponibile [[DraftStandardProperty/it|Proprietà standard]] în vizualizare.
==== Date ====
{{KEY/it|Base}}<br />
* {{ProprietaDati|Label}}: nume
* {{ProprietaDati|Placement}}: [[Placement/it|posizionamento]]
{{KEY/it|Wedge}}<br />
* {{ProprietaDati|X2 max}} : coordonată (valoarea predefinită este 8 mm).
* {{ProprietaDati|X2 min}} : coordonată (predefinită e 2 mm).
* {{ProprietaDati|X max}} : coordonată (predefinită e 10 mm).
* {{ProprietaDati|X min}} : coordonată (predefinită e 0 mm).
* {{ProprietaDati|Y max}} : coordonată (predefinită e 10 mm).
* {{ProprietaDati|Y min}} : coordonată (predefinită e 2 mm).
* {{ProprietaDati|Z2 max}} : coordonată (predefinită e 8 mm).
* {{ProprietaDati|Z2 min}} : coordonată (predefinită e 2 mm).
* {{ProprietaDati|Z max}} : coordonată (predefinită e 10 mm).
* {{ProprietaDati|Z min}} : coordonată (valoarea predefinită e 0 mm).
|}


A Part Wedge object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
=== Mai multe exemple de pene ===

[[File:Wedge_examples.png]]
=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Wedge}}

* {{PropertyData|Xmin|Distance}}: The lowest X coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Ymin|Distance}}: The Y coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Zmin|Distance}}: The lowest Z coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|X2min|Distance}}: The lowest X coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Z2min|Distance}}: The lowest Z coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Xmax|Distance}}: The highest X coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Ymax|Distance}}: The Y coordinate of the rear face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Zmax|Distance}}: The highest Z coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|X2max|Distance}}: The highest X coordinate of the rear face of the wedge. The default is {{Value|8mm}}.
* {{PropertyData|Z2max|Distance}}: The highest Z coordinate of the rear face of the wedge. The default is {{Value|8mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Wedge can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
}}

* Where {{Incode|"myWedge"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}




Line 98: Line 112:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:15, 3 March 2022

Part Wedge

Menu location
Part → Create primitives → Wedge
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

Creați un obiect parametric Pană/Wedge. Valoarea implicită pentru această reținere este o bază pătratică mai mare și un vârf pătrat mai mic.

Usage

See Part Primitives.

Example

Part Wedge from the scripting example

A Part Wedge object created with the scripting example below is shown here.

Notes

  • The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

Properties

See also: Property editor.

A Part Wedge object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Wedge

  • DateXmin (Distance): The lowest X coordinate of the front face of the wedge. The default is 0mm.
  • DateYmin (Distance): The Y coordinate of the front face of the wedge. The default is 0mm.
  • DateZmin (Distance): The lowest Z coordinate of the front face of the wedge. The default is 0mm.
  • DateX2min (Distance): The lowest X coordinate of the rear face of the wedge. The default is 2mm.
  • DateZ2min (Distance): The lowest Z coordinate of the rear face of the wedge. The default is 2mm.
  • DateXmax (Distance): The highest X coordinate of the front face of the wedge. The default is 10mm.
  • DateYmax (Distance): The Y coordinate of the rear face of the wedge. The default is 10mm.
  • DateZmax (Distance): The highest Z coordinate of the front face of the wedge. The default is 10mm.
  • DateX2max (Distance): The highest X coordinate of the rear face of the wedge. The default is 8mm.
  • DateZ2max (Distance): The highest Z coordinate of the rear face of the wedge. The default is 8mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Wedge can be created with the addObject() method of the document:

wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
  • Where "myWedge" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()